org.apache.fop.afp.goca

## Class GraphicsFullArc

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder
    - - org.apache.fop.afp.goca.AbstractGraphicsCoord
      - - org.apache.fop.afp.goca.GraphicsFullArc

All Implemented Interfaces:
  Streamable, StructuredData

    public class GraphicsFullArc
    extends AbstractGraphicsCoord

A GOCA graphics arc (circle/ellipse)

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`AbstractAFPObject.Category, AbstractAFPObject.Type`

### Field Summary

### Fields inherited from class org.apache.fop.afp.goca.AbstractGraphicsCoord

`coords, relative`

### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`LOG, SF_CLASS, SF_HEADER_LENGTH`

### Constructor Summary

Constructors
Constructor and Description
`GraphicsFullArc(int x, int y, int mh, int mhr)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getDataLength()` Returns the data length of this structured field
`String` `toString()`
`void` `writeToStream(OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

### Methods inherited from class org.apache.fop.afp.goca.AbstractGraphicsCoord

`addCoords, isRelative`

### Methods inherited from class org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder

`getName`

### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`copySF, copySF, truncate, writeChunksToStream, writeObjects`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GraphicsFullArc

    public GraphicsFullArc(int x,
                           int y,
                           int mh,
                           int mhr)

Constructor

Parameters:
  `x` - the x coordinate of the center of the circle/ellipse
  `y` - the y coordinate of the center of the circle/ellipse
  `mh` - the integer portion of the multiplier
  `mhr` - the fractional portion of the multiplier

### Method Detail

#### getDataLength

    public int getDataLength()

Returns the data length of this structured field

Specified by:
  `getDataLength` in interface `StructuredData`
Overrides:
  `getDataLength` in class `AbstractGraphicsCoord`
Returns:
  the data length of this structured field

#### writeToStream

    public void writeToStream(OutputStream os)
                       throws IOException

DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

Specified by:
  `writeToStream` in interface `Streamable`
Overrides:
  `writeToStream` in class `AbstractGraphicsCoord`
Parameters:
  `os` - the outputsteam stream
Throws:
  `IOException` - an I/O exception of some sort has occurred.

#### toString

    public String toString()

Overrides:
  `toString` in class `AbstractGraphicsCoord`